import { isNotClientProduction as e } from "../constants/vite.constants.mjs";
import { logError as t } from "./logError.mjs";
//#region libs/shared/common/src/error-handling/logger.ts
var n = class {
	static log(...t) {
		e && console.log(...t);
	}
	static logObject(t) {
		e && console.dir(t, {
			depth: null,
			colors: !0
		});
	}
	static error(...e) {
		t(e);
	}
};
//#endregion
export { n as Logger };
